<?php

function pbpPostToBlog($img,$content,$title, $link){

	$content = pbpRemoveImage($content);
	$postlength = get_post_meta(999911113,'pbppostlength', TRUE);
	$showsource = get_post_meta(999911113,'pbpshowsource', TRUE);
	$sourcelabel = get_post_meta(999911113,'pbpsourcelabel', TRUE);
	$category = get_post_meta(999911113,'pbpcategory', TRUE);
	
	if(empty($category)){
		$category = "Uncategorized";
	}
	
	$catid = get_cat_ID( $category );
	
	if($showsource == "yes"){
		$content = $sourcelabel." <a href ='".$link."'>".$link."</a> ".$content."<br />";
	
	}
	// Create post object
	$my_post = array(
	  'post_title'    => $title,
	  'post_content'  => $content,
	  'post_excerpt' => $content,
	  'post_status'   => 'publish',
	  'post_author'   => 1,
	'post_category' => array($catid)
	
	);

	$post_id = wp_insert_post( $my_post, $wp_error );
	
	return $post_id;
	
	
	
	
	
}

function pbpUploadImage($post_id,$url,$title){  

	require_once(ABSPATH . "wp-admin" . '/includes/image.php');
	require_once(ABSPATH . "wp-admin" . '/includes/file.php');
	require_once(ABSPATH . "wp-admin" . '/includes/media.php');

	
	
	$tmp_name = download_url( $url );
								
	$file_array['name'] = $post_id. '-thumb.jpg';  // new filename based on slug
	$file_array['tmp_name'] = $tmp_name;

	// If error storing temporarily, unlink
	if ( is_wp_error( $tmp_name ) ) {
	@unlink($file_array['tmp_name']);
	$file_array['tmp_name'] = '';
	}

	// do validation and storage .  Make a description based on the Post_ID
	$attachment_id = media_handle_sideload( $file_array, $post_id, 'Thumbnail for ' .$post_id);



	// If error storing permanently, unlink
	if ( is_wp_error($attachment_id) ) {
	$error_string = $attachment_id->get_error_message();
	@unlink($file_array['tmp_name']);
	return;
	}


	// Set as the post attachment
	$post_result= add_post_meta( $post_id, '_thumbnail_id', $attachment_id, true );
	
	$src = wp_get_attachment_url( $attachment_id );
	
	
	return $src; 

//					echo $post_result);
		
}

function pbpRemoveImage($content){

	$content = preg_replace('/<img.+src=[\'"](?P<src>.+?)[\'"].*>/i', '', $content);
	
	return $content;
	

}


?>