<?php
/*
Plugin Name: Pinpressr Pro
Description: Automate Your Pinterst Account!
Version: 1.4
Author: Daniel Green

*/

    
    
$image = plugin_dir_url(__FILE__ ).'logo.png';
define("PLUGNAME",     "<img src ='".$image."' /><br />");

include 'pbpSettings.php';
include 'pbpRSSFunctions.php';
require 'postToPinterest.php';
include 'pbpPinterestFunctions.php';
include 'class.pbpHistoryTable.php';
include 'class.pbpFeedsTable.php';
include 'pbpinstall.php';
include 'messages.php';
include 'adminscripts.php';
include 'pbpAutoBlogging.php';

include_once( ABSPATH . WPINC . '/feed.php' );
	
add_action( 'admin_menu', 'pbp_menu' );
add_action('admin_head', 'pbp_scripts');
add_action( 'admin_init', 'pbp_plugin_admin_init' );
register_activation_hook( __FILE__, 'pbp_install' );
register_deactivation_hook( __FILE__, 'pbp_uninstall' );



function pbp_plugin_admin_init() {
	
	wp_register_style( 'pbp-style', plugins_url('pbp.css', __FILE__) );	
	wp_enqueue_style( 'pbp-style' );	
	
}


function pbp_menu() {
	add_menu_page('Pinpressr', 'Pinpressr', 'manage_options', 'pbp', 'pbp_admin' );	
	add_submenu_page( 'pbp', 'Settings', 'Settings', 'manage_options', 'pbp', 'pbp_admin_settings' );
	add_submenu_page( 'pbp', 'History', 'History', 'manage_options', 'pbp_history', 'pbp_admin_history' );
	add_submenu_page( 'pbp', 'Feeds', 'Feeds', 'manage_options', 'pbp_feeds', 'pbp_admin_feeds' );
	add_submenu_page( 'pbp', 'Message Sets', 'Message Sets', 'manage_options', 'pbpmessages', 'pbp_admin_messages' );
}

function pbp_admin(){

}

function pbp_admin_history(){

	echo'
		<div class="wrap">
		<h2>'.PLUGNAME.'  History
		</h2>';
		
		$wp_list_table = new PbpHistory_Table();
		$wp_list_table->prepare_items();
		$wp_list_table->display();
		echo'<div>		
			<button onclick  = \'pbpDeleteHistory()\'>Delete Selected</button>
		</div>';	

}

function pbp_admin_feeds(){
	
	echo '<div class="wrap">
		<h2>'.PLUGNAME.'  Feeds
		</h2>';
		
	$addfeedprocess = plugin_dir_url(__FILE__ ).'addFeed.php';
	
	echo	'<div>		
		<form method="post" action="'.$addfeedprocess.'">
		<table>
			<tr><td>Feed Name: <input type="text" name="feedname"></td>
			<td>URL: <input type="text" name="feedurl"></td>
			<td>Board ID: <input type="text" name="boardid"></td>
			<td>';
		$messagesets= get_post_meta(999911113, 'pbpmessagegroups',TRUE);
		echo'<select name = "pbpMessSelect" >';	
			foreach ($messagesets as $messageset){
				echo ' <option value="'.$messageset.'">'.$messageset.'</option>';		
			}
		echo '</select></td>';	
			
	echo'	<td><input name="pbpAddFeed" type="submit" value="Add New Feed"></td></tr>
		</table>
		</form>
		</div>';
		
		$wp_list_table = new PbpFeeds_Table();
		$wp_list_table->prepare_items();
		$wp_list_table->display();
	echo'<div>		
			<button onclick  = \'pbpDeleteMessages()\'>Delete Selected</button>
		</div>';	

}

?>